Bug 909119 (CVE-2013-0288)

Summary: CVE-2013-0288 nss-pam-ldapd: FD_SET array index error, leading to stack-based buffer overflow
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: dapospis, jhrozek, jrusnack, nalin, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130218,reported=20130207,source=redhat,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-6/nss-pam-ldapd=affected,fedora-17/nss-pam-ldapd=affected,fedora-18/nss-pam-ldapd=notaffected,cwe=CWE-121[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-04 20:36:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 912454, 915361, 915362    
Bug Blocks: 909124    

Description Jan Lieskovsky 2013-02-08 05:58:16 EST
An array index error, leading to stack-based buffer overflow flaw was found in the way nss-pam-ldapd, a PAM and nsswitch module which uses directory servers, performed management of file descriptors when performing file descriptors activity wait. An attacker could use this flaw to cause processes with a large number of opened file descriptors, that performed name lookups to crash or, potentially, execute arbitrary code with the privileges of the user running the process.

Upstream advisory:
[1] http://arthurdejong.org/nss-pam-ldapd/CVE-2013-0288
Comment 2 Jan Lieskovsky 2013-02-08 06:01:37 EST
This issue affects the version of the nss-pam-ldapd package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the version of the nss-pam-ldapd package, as shipped with Fedora release of 17.

--

This issue did NOT affect the version of the nss-pam-ldapd package, as shipped with Fedora release of 18 (the functionality in question has been reimplemented to use poll() system call instead, and therefore as such is NOT vulnerable to this problem).
Comment 3 Jan Lieskovsky 2013-02-08 06:02:38 EST
Acknowledgements:

Red Hat would like to thank Garth Mollett for reporting this issue.
Comment 8 Jan Lieskovsky 2013-02-14 13:09:55 EST
The CVE identifier of CVE-2013-0288 has been assigned to this issue.
Comment 11 Jan Lieskovsky 2013-02-18 12:21:34 EST
Created nss-pam-ldapd tracking bugs for this issue

Affects: fedora-17 [bug 912454]
Comment 12 Jan Lieskovsky 2013-02-18 12:30:58 EST
Open-Source Security mailing list post:
  http://www.openwall.com/lists/oss-security/2013/02/18/2
Comment 14 Jakub Hrozek 2013-02-19 02:55:51 EST
Upstream backport to Debian:
http://arthurdejong.org/viewvc/nss-pam-ldapd?revision=1926&view=revision
Comment 18 Fedora Update System 2013-02-28 02:10:08 EST
nss-pam-ldapd-0.7.16-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 errata-xmlrpc 2013-03-04 16:13:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0590 https://rhn.redhat.com/errata/RHSA-2013-0590.html